package main

import(
  "log"
)

func cmdHead(config configCollect) {
  rc := NewRepoCommits(config)

  rc.CollectDescs()
  log.Println("Repo contains", len(rc.CommitDesc), "commits")

  rc.CollectContent()
  rc.BuildGraph()
  log.Println("Repo has", len(rc.Root), "sources")

  rc.FindLeafs()
  log.Println("Repo has", len(rc.Leafs), "sinks")

  rc.ChooseHead()
  log.Println("Proposing following HEAD:\n"+rc.Head.Content.String())
}
